#define _build_pkgcheck_srpm 0
## disabled, failing srpm_recreate because of:
## wrote: /home/alex/BuildSystem/virtualbox/SRPMS/virtualbox-4.1.10-1.src.rpm
## Executing "0 /home/alex/BuildSystem/virtualbox/SRPMS/virtualbox-4.1.10-1.src.rpm":
## sh: 0 : command not found
## error: Execution of "0 /home/alex/BuildSystem/virtualbox/SRPMS/virtualbox-4.1.10-1.src.rpm" failed.
%define kname  vboxdrv
%define oname  VirtualBox
%define srcname	%{oname}-%{version}
%define distname	%{oname}-%{version}
%define pkgver	%{ver}

%define vboxlibdir	%{_libdir}/%{name}
%define vboxdatadir	%{_datadir}/%{name}

%define build_additions 1
%define build_doc 0

%ifarch %{ix86}
%define vbox_platform linux.x86
%endif
%ifarch x86_64
%define vbox_platform linux.amd64
%endif

# nuke vbox-specific dependencies
#define _provides_exceptions ^VBox
#define _requires_exceptions ^VBox
## Disabled: see rpmlint -I external-depfilter-with-internal-depgen

%define x11_server_majorver %(pkg-config --modversion xorg-server|awk -F. '{print $1$2}')

Summary:	A general-purpose full virtualizer for x86 hardware
Name:		virtualbox
Version:	4.2.2
Release:	1
License:	GPLv2
Group:		Emulators
Url:		http://www.virtualbox.org/
Source0:	http://download.virtualbox.org/virtualbox/%{version}/%{srcname}.tar.bz2
Source1:	http://download.virtualbox.org/virtualbox/UserManual.pdf
Source2:	virtualbox.init
Source4:	60-vboxadd.perms
Source100:	virtualbox.rpmlintrc
Patch2:		VirtualBox-4.1.8-kernelrelease.patch
Patch3:		VirtualBox-4.1.8-futex.patch
Patch4:		virtualbox-fix-vboxadd-req.patch
# (fc) 1.6.0-2mdv fix initscript name in VBox.sh script
Patch5:		VirtualBox-4.1.8-initscriptname.patch
# (tmb) disable update notification (OpenSuSe)
# (tmb) TODO: rewrite
#Patch7:		VirtualBox-4.1.8-no-update.patch
# don't check for:
# - mkisofs: we're not going to build the additions .iso file
# - makeself: we're not going to create the stanalone .run installers
Patch9:		VirtualBox-4.1.8-dont-check-for-mkisofs-or-makeself.patch
# (Debian) build X server drivers only for the selected version
# but we're not using the full patch, only the parts we need (e.g. the section
# about Debian Lenny), so we regenerate the patch
Patch10:	VirtualBox-4.2.2-system-xorg.patch
# (Debian) Only display warnings about broken USB support when it's actually
# used (i.e. the machine has USB device filters)
Patch11:	VirtualBox-4.1.8-usb-warning-filters.patch

Patch16:	virtualbox-default-to-mandriva.patch

# use courier font instead of beramono for older releases where beramono isn't
# available in tetex-latex (it's available since only tetex-latex-3.0-53mdv2011.0)
#Patch17:	virtualbox-4.0.0-user-courier-instead-of-beramono.patch
#Patch19:	virtualbox-4.1.8-l10n-ru.patch
Patch20:	VirtualBox-4.2.2-remove-missing-translation.patch

ExclusiveArch:	%{ix86} x86_64
BuildRequires:	dev86
BuildRequires:	dkms-minimal
BuildRequires:	gawk
BuildRequires:	gsoap
BuildRequires:	iasl
BuildRequires:	java-rpmbuild
BuildRequires:	qt4-linguist
BuildRequires:	xsltproc
BuildRequires:	libcap-devel
BuildRequires:	libstdc++-static-devel
BuildRequires:	openssl-devel
BuildRequires:	pam-devel
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libIDL-2.0)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libvncserver)
BuildRequires:	pkgconfig(python)
# for now requires full qt4-devel
# as qtcore has been upgraded to qt5
BuildRequires:	qt4-devel
#BuildRequires:	pkgconfig(QtCore)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(xorg-server) >= 1.13
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(xcomposite)
%if %{build_doc}
# for building the user manual pdf file
%if %{mdvver} < 201100
BuildRequires:	tetex-latex
%else
BuildRequires:	texlive
BuildRequires:	texlive-fontsextra
%endif
BuildRequires:	docbook-dtd44-xml
%endif

Requires(post,preun,postun): rpm-helper
Requires:	kmod(vboxdrv) = %{version}
Suggests:	%{name}-doc

%description
VirtualBox is a general-purpose full virtualizer for x86 hardware.

%package -n	dkms-%{name}
Summary:	VirtualBox kernel module
Group:		System/Kernel and hardware
Requires(post,preun): dkms
Conflicts:	dkms-vboxadditions < 4.1.8

%description -n dkms-%{name}
Kernel support for VirtualBox.

%if %{build_additions}
%package 	guest-additions
Summary:	Additions for VirtualBox guest systems
Group:		Emulators
Requires:	kmod(vboxguest) = %{version}
Requires:	kmod(vboxsf) = %{version}
Requires:	kmod(vboxvideo) = %{version}
Requires:	x11-driver-video-vboxvideo
Requires(post,preun): rpm-helper

%description    guest-additions
This package contains additions for VirtualBox guest systems.
It allows to share files with the host system and sync time with host.

%package -n	dkms-vboxadditions
Summary:	Kernel module for VirtualBox additions
Group:		System/Kernel and hardware
Requires(post,preun): dkms
Obsoletes:	dkms-vboxadd < %{version}-%{release}
%rename		dkms-vboxvfs
%rename		dkms-vboxsf
%rename		dkms-vboxvideo = %{version}-%{release}
Conflicts:	dkms-%{name} < 4.1.8

%description -n dkms-vboxadditions
Kernel module for VirtualBox additions (ideally only needs to be installed
on the guest OS not on the host OS).

%package -n	x11-driver-video-vboxvideo
Summary:	The X.org driver for video in VirtualBox guests
Group:		System/X11
#Requires:	x11-server-common %%(xserver-sdk-abi-requires videodrv)
Requires:	x11-server-common
Suggests:	virtualbox-guest-additions
Conflicts:	virtualbox-guest-additions < 2.2.0-2

%description -n x11-driver-video-vboxvideo
The X.org driver for video in VirtualBox guests
%endif

%package doc
Summary:	The user manual PDF file for %{name}
Group:		System/X11
BuildArch:	noarch

%description doc
This package contains the user manual PDF file for %{name}.

%prep
%setup -qn %{distname}
%apply_patches

cat << EOF > LocalConfig.kmk
VBOX_WITH_WARNINGS_AS_ERRORS:=
VBOX_PATH_APP_PRIVATE_ARCH:=%{vboxlibdir}
VBOX_WITH_ORIGIN:=
VBOX_WITH_RUNPATH:=%{vboxlibdir}
VBOX_PATH_APP_PRIVATE:=%{vboxdatadir}
VBOX_WITH_VNC:=1
VBOX_WITH_TESTCASES =
VBOX_WITH_TESTSUITE:=
VBOX_JAVA_HOME := %{java_home}
VBOX_WITHOUT_ADDITIONS_ISO := 1
EOF

%build
export LIBPATH_LIB="%{_lib}"
./configure \
	--disable-kmods \
%if ! %{build_doc}
	--disable-docs
%endif
echo VBOX_GCC_OPT="%{optflags}" >> LocalConfig.kmk
%ifarch %{ix86}
%global ldflags %{ldflags} -fuse-ld=bfd
%endif
echo TOOL_GCC_LDFLAGS="%{ldflags}" >> LocalConfig.kmk

%if !%{build_additions}
sed -rie 's/(VBOX_WITH_LINUX_ADDITIONS\s+:=\s+).*/\1/' AutoConfig.kmk
echo VBOX_WITHOUT_ADDITIONS=1 >> LocalConfig.kmk
%endif

. ./env.sh
kmk %{_smp_mflags} all

%install
# install vbox components
mkdir -p %{buildroot}%{vboxlibdir} %{buildroot}%{vboxdatadir} 

(cd out/%{vbox_platform}/release/bin && tar cf - --exclude=additions .) | \
(cd %{buildroot}%{vboxlibdir} && tar xf -)

# move noarch files to vboxdatadir
mv %{buildroot}%{vboxlibdir}/{VBox*.sh,nls,*.desktop,*.png} %{buildroot}%{vboxdatadir}

# install service
mkdir -p %{buildroot}%{_initrddir}
install -m755 %{SOURCE2} %{buildroot}%{_initrddir}/%{name}

# install wrappers
mkdir -p %{buildroot}%{_sysconfdir}/vbox
cat > %{buildroot}%{_sysconfdir}/vbox/vbox.cfg << EOF
# VirtualBox installation directory
INSTALL_DIR="%{vboxlibdir}"
EOF

mkdir -p %{buildroot}%{_bindir}
ln -s %{vboxdatadir}/VBox.sh %{buildroot}%{_bindir}/%{oname}
ln -s %{vboxdatadir}/VBox.sh %{buildroot}%{_bindir}/VBoxManage
ln -s %{vboxdatadir}/VBox.sh %{buildroot}%{_bindir}/VBoxSDL
ln -s %{vboxdatadir}/VBox.sh %{buildroot}%{_bindir}/VBoxHeadless
ln -s %{vboxdatadir}/VBox.sh %{buildroot}%{_bindir}/vboxwebsrv

# provide network control tools in bindir
ln -s %{vboxlibdir}/VBoxTunctl %{buildroot}%{_bindir}/VBoxTunctl
ln -s %{vboxlibdir}/VBoxNetAdpCtl %{buildroot}%{_bindir}/VBoxNetAdpCtl
ln -s %{vboxlibdir}/VBoxNetDHCP %{buildroot}%{_bindir}/VBoxNetDHCP

install -d %{buildroot}/var/run/%{oname}

# install dkms sources
mkdir -p %{buildroot}%{_usr}/src/%{name}-%{version}-%{release}
cat > vboxbuild << EOF
#!/bin/sh
set -e
make -C %{kname} KERN_DIR=\$1
cp -f %{kname}/Module.symvers vboxnetflt
cp -f %{kname}/Module.symvers vboxnetadp
make -C vboxnetflt KERN_DIR=\$1
make -C vboxnetadp KERN_DIR=\$1
EOF
install -m 0755 vboxbuild %{buildroot}%{_usr}/src/%{name}-%{version}-%{release}
mv %{buildroot}%{vboxlibdir}/src/* %{buildroot}%{_usr}/src/%{name}-%{version}-%{release}/
cat > %{buildroot}%{_usr}/src/%{name}-%{version}-%{release}/dkms.conf << EOF
MAKE[0]="./vboxbuild \$kernel_source_dir"
PACKAGE_NAME=%{name}
PACKAGE_VERSION=%{version}-%{release}
DEST_MODULE_LOCATION[0]=/kernel/3rdparty/vbox
BUILT_MODULE_LOCATION[0]=%{kname}/
BUILT_MODULE_NAME[0]=%{kname}
DEST_MODULE_LOCATION[1]=/kernel/3rdparty/vbox
BUILT_MODULE_LOCATION[1]=vboxnetflt/
BUILT_MODULE_NAME[1]=vboxnetflt
DEST_MODULE_LOCATION[2]=/kernel/3rdparty/vbox
BUILT_MODULE_LOCATION[2]=vboxnetadp/
BUILT_MODULE_NAME[2]=vboxnetadp
AUTOINSTALL=yes
EOF

# install udev rules
# install udev rules
mkdir -p %{buildroot}%{_sysconfdir}/udev/rules.d/
cat > %{buildroot}%{_sysconfdir}/udev/rules.d/%{name}.rules << EOF
KERNEL=="%{kname}", NAME="vboxdrv", OWNER="root", GROUP="root", MODE="0600"
SUBSYSTEM=="usb_device", ACTION=="add", RUN+="%{_datadir}/%{name}/VBoxCreateUSBNode.sh \$major \$minor \$attr{bDeviceClass} vboxusers"
SUBSYSTEM=="usb", ACTION=="add", ENV{DEVTYPE}=="usb_device", RUN+="%{_datadir}/%{name}/VBoxCreateUSBNode.sh \$major \$minor \$attr{bDeviceClass} vboxusers"
SUBSYSTEM=="usb_device", ACTION=="remove", RUN+="%{_datadir}/%{name}/VBoxCreateUSBNode.sh --remove \$major \$minor"
SUBSYSTEM=="usb", ACTION=="remove", ENV{DEVTYPE}=="usb_device", RUN+="%{_datadir}/%{name}/VBoxCreateUSBNode.sh --remove \$major \$minor"
EOF
cat > %{buildroot}%{_sysconfdir}/udev/rules.d/vbox-additions.rules << EOF
KERNEL=="vboxguest", NAME="vboxguest", OWNER="root", MODE="0660"
KERNEL=="vboxuser", NAME="vboxuser", OWNER="root", MODE="0666"
EOF

# install additions
%if %{build_additions}
# vboxadd-timesync should probably be renamed vboxadd now, but renaming initscripts
# cleanly is hacky business
install -m755 src/VBox/Additions/linux/installer/vboxadd-service.sh %{buildroot}%{_initrddir}/vboxadd-timesync

# install .fdi file for releases older than 2011.0; and the udev rule and
# 50-vboxmouse.conf for newer releases with Xserver >= 1.9
%if %{mdvver} < 201100
install -D -m644 src/VBox/Additions/linux/installer/90-vboxguest.fdi %{buildroot}%{_datadir}/hal/fdi/policy/20thirdparty/90-vboxguest.fdi
%endif

install -d %{buildroot}%{_sysconfdir}/X11/xinit.d
install -m755 src/VBox/Additions/x11/Installer/98vboxadd-xclient %{buildroot}%{_sysconfdir}/X11/xinit.d

pushd out/%{vbox_platform}/release/bin/additions
  install -d %{buildroot}/sbin %{buildroot}%{_sbindir} %{buildroot}/%{_libdir}/dri
  install -m755 mount.vboxsf %{buildroot}/sbin/mount.vboxsf
  install -m755 VBoxService %{buildroot}%{_sbindir}

  install -m755 VBoxClient %{buildroot}%{_bindir}
  install -m755 VBoxControl %{buildroot}%{_bindir}

  install -m755 VBoxOGL*.so %{buildroot}%{_libdir}
  ln -s -f ../VBoxOGL.so %{buildroot}%{_libdir}/dri/vboxvideo_dri.so

  install -d %{buildroot}%{_sysconfdir}/modprobe.preload.d
  cat > %{buildroot}%{_sysconfdir}/modprobe.preload.d/vbox-guest-additions << EOF
vboxguest
EOF

  install ../vboxvideo_drv.so -D %{buildroot}%{_libdir}/xorg/modules/drivers/vboxvideo_drv.so

  mkdir -p %{buildroot}%{_usr}/src/vboxadditions-%{version}-%{release}
  cat > %{buildroot}%{_usr}/src/vboxadditions-%{version}-%{release}/dkms.conf << EOF
PACKAGE_NAME=vboxadditions
PACKAGE_VERSION=%{version}-%{release}
MAKE[0]="make -C \$kernel_source_dir M=\$dkms_tree/\$module/\$module_version/build/vboxguest &&
cp \$dkms_tree/\$module/\$module_version/build/vboxguest/Module.symvers \$dkms_tree/\$module/\$module_version/build/vboxsf &&
make -C \$kernel_source_dir M=\$dkms_tree/\$module/\$module_version/build/vboxsf &&
cp \$dkms_tree/\$module/\$module_version/build/vboxsf/Module.symvers \$dkms_tree/\$module/\$module_version/build/vboxvideo &&
make -C \$kernel_source_dir M=\$dkms_tree/\$module/\$module_version/build/vboxvideo"
EOF
  i=0
  for kmod in vboxguest vboxsf vboxvideo; do
    mkdir -p %{buildroot}%{_usr}/src/vboxadditions-%{version}-%{release}/$kmod
    cp -a src/$kmod/* %{buildroot}%{_usr}/src/vboxadditions-%{version}-%{release}/$kmod/
    cat >> %{buildroot}%{_usr}/src/vboxadditions-%{version}-%{release}/dkms.conf << EOF
DEST_MODULE_LOCATION[$i]=/kernel/3rdparty/vbox
BUILT_MODULE_LOCATION[$i]=$kmod/
BUILT_MODULE_NAME[$i]=$kmod
EOF
    i=$((i+1))
  done
  cat >> %{buildroot}%{_usr}/src/vboxadditions-%{version}-%{release}/dkms.conf << EOF
CLEAN="make -C \$kernel_source_dir M=\$dkms_tree/\$module/\$module_version/build/vboxguest clean && 
make -C \$kernel_source_dir M=\$dkms_tree/\$module/\$module_version/build/vboxsf clean && 
make -C \$kernel_source_dir M=\$dkms_tree/\$module/\$module_version/build/vboxvideo clean "
AUTOINSTALL=yes
EOF
popd

%endif

# install menu entries
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=VirtualBox
Comment=Full virtualizer for x86 hardware
Exec=%{_bindir}/%{oname}
Icon=%{name}
Type=Application
Terminal=false
Categories=Emulator;
MimeType=application/x-virtualbox-vbox;application/x-virtualbox-vbox-extpack;application/x-virtualbox-ovf;application/x-virtualbox-ova;
EOF

# install mime types
install -D -m644 src/VBox/Installer/common/virtualbox.xml %{buildroot}%{_datadir}/mime/packages/virtualbox.xml

# install shipped icons for apps and mimetypes
for i in 16 20 32 40 48 64 128; do
	install -D -m0644 src/VBox/Resources/OSE/virtualbox-${i}px.png %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps/virtualbox.png
done

for i in 16 20 24 32 40 48 64 72 80 96 128 256 512; do
	install -D -m0644 src/VBox/Resources/other/virtualbox-ova-${i}px.png %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/mimetypes/virtualbox-ova.png
	install -D -m0644 src/VBox/Resources/other/virtualbox-ovf-${i}px.png %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/mimetypes/virtualbox-ovf.png
	install -D -m0644 src/VBox/Resources/other/virtualbox-vbox-${i}px.png %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/mimetypes/virtualbox-vbox.png
	install -D -m0644 src/VBox/Resources/other/virtualbox-vbox-extpack-${i}px.png %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/mimetypes/virtualbox-vbox-extpack.png
done

# add missing makefile for kernel module
install -m644 src/VBox/HostDrivers/Support/linux/Makefile %{buildroot}%{_usr}/src/%{name}-%{version}-%{release}/

%if !%{build_doc}
install -m644 %{SOURCE1} %{buildroot}%{vboxlibdir}/UserManual.pdf
%endif

# remove unpackaged files
rm -rf %{buildroot}%{vboxlibdir}/{src,sdk,testcase}
rm  -f %{buildroot}%{vboxlibdir}/tst*
rm  -f %{buildroot}%{vboxlibdir}/vboxkeyboard.tar.gz
rm  -f %{buildroot}%{vboxlibdir}/SUP*
rm  -f %{buildroot}%{vboxlibdir}/xpidl

# install PAM module:
install -D -m755 out/%{vbox_platform}/release/bin/additions/pam_vbox.so %{buildroot}/%{_lib}/security/pam_vbox.so

%post
%_post_service %{name}
%_add_group_helper %{name} 1 vboxusers

%postun
if [ "$1" -ge "1" ]; then
  /sbin/service %{name} condrestart > /dev/null 2>&1 || :
fi
%_del_group_helper %{name} 1 vboxusers

%preun
%_preun_service %{name}

%post -n dkms-%{name}
set -x
/usr/sbin/dkms --rpm_safe_upgrade add -m %{name} -v %{version}-%{release}
/usr/sbin/dkms --rpm_safe_upgrade build -m %{name} -v %{version}-%{release} &&
/usr/sbin/dkms --rpm_safe_upgrade install -m %{name} -v %{version}-%{release}
/sbin/rmmod vboxnetflt &>/dev/null
/sbin/rmmod vboxnetadp &>/dev/null
/sbin/rmmod %{kname} &>/dev/null
/sbin/modprobe %{kname} &>/dev/null
/sbin/modprobe vboxnetflt &>/dev/null
/sbin/modprobe vboxnetadp &>/dev/null
:

%preun -n dkms-%{name}
if [ "$1" = "0" ]; then
	/sbin/rmmod vboxnetadp >/dev/null 2>&1
	/sbin/rmmod vboxnetflt >/dev/null 2>&1
	/sbin/rmmod %{kname} >/dev/null 2>&1
fi
set -x
/usr/sbin/dkms --rpm_safe_upgrade remove -m %{name} -v %{version}-%{release} --all || :

%if %{build_additions}
%post guest-additions
%_post_service vboxadd-timesync

# (Debian) Build usb device tree
for i in /sys/bus/usb/devices/*; do
if test -r "$i/dev"; then
dev="`cat "$i/dev" 2> /dev/null || true`"
major="`expr "$dev" : '\(.*\):' 2> /dev/null || true`"
minor="`expr "$dev" : '.*:\(.*\)' 2> /dev/null || true`"
class="`cat $i/bDeviceClass 2> /dev/null || true`"
/usr/share/virtualbox/VBoxCreateUSBNode.sh "$major" "$minor" "$class" vboxusers 2>/dev/null || true
fi
done

%preun guest-additions
%_preun_service vboxadd-timesync

%post -n dkms-vboxadditions
set -x
/usr/sbin/dkms --rpm_safe_upgrade add -m vboxadditions -v %{version}-%{release}
/usr/sbin/dkms --rpm_safe_upgrade build -m vboxadditions -v %{version}-%{release} &&
/usr/sbin/dkms --rpm_safe_upgrade install -m vboxadditions -v %{version}-%{release}
:

%preun -n dkms-vboxadditions
set -x
/usr/sbin/dkms --rpm_safe_upgrade remove -m vboxadditions -v %{version}-%{release} --all
:

%endif

%files
%config %{_sysconfdir}/vbox/vbox.cfg
%{_bindir}/%{oname}
%{_bindir}/VBoxManage
%{_bindir}/VBoxSDL
%{_bindir}/VBoxHeadless
%{_bindir}/VBoxTunctl
%{_bindir}/VBoxNetAdpCtl
%{_bindir}/VBoxNetDHCP
%{_bindir}/vboxwebsrv
%{vboxlibdir}/dtrace
%{vboxlibdir}/icons
%{vboxlibdir}/components
%{vboxlibdir}/load.sh
%{vboxlibdir}/loadall.sh
%{vboxlibdir}/*.so
%{vboxlibdir}/VBoxAutostart
%{vboxlibdir}/VBoxBFE
%{vboxlibdir}/VBoxBalloonCtrl
%{vboxlibdir}/VBoxEFI32.fd
%{vboxlibdir}/VBoxEFI64.fd
%{vboxlibdir}/VBoxExtPackHelperApp
%{vboxlibdir}/VBoxManage
%{vboxlibdir}/VBoxSVC
%{vboxlibdir}/VBoxTestOGL
%{vboxlibdir}/VBoxTunctl
%{vboxlibdir}/VBoxVMMPreload
%{vboxlibdir}/VBoxXPCOMIPCD
%{vboxlibdir}/vboxkeyboard.tar.bz2
%{vboxlibdir}/vboxshell.py
%{vboxlibdir}/virtualbox.xml
# this files need proper permission
%attr(4711,root,root) %{vboxlibdir}/VBoxHeadless
%attr(4711,root,root) %{vboxlibdir}/VBoxSDL
%attr(4711,root,root) %{vboxlibdir}/VirtualBox
%attr(4711,root,root) %{vboxlibdir}/VBoxNetAdpCtl
%attr(4711,root,root) %{vboxlibdir}/VBoxNetDHCP
%attr(644,root,root) %{vboxlibdir}/*.gc
%attr(644,root,root) %{vboxlibdir}/*.r0
%exclude %{vboxlibdir}/UserManual.pdf
%{vboxdatadir}
# initscripts integration
%{_initrddir}/%{name}
%config %{_sysconfdir}/udev/rules.d/%{name}.rules
%dir /var/run/%{oname}
# desktop integration
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/applications/mandriva-%{name}.desktop
%{_datadir}/mime/packages/virtualbox.xml

%files -n dkms-%{name}
%{_usr}/src/%{name}-%{version}-%{release}

%if %{build_additions}
%files guest-additions
/%{_lib}/security/pam_vbox.so
/sbin/mount.vboxsf
%{_initrddir}/vboxadd-timesync
%{_sbindir}/VBoxService
%{_bindir}/VBoxClient
%{_bindir}/VBoxControl
%{_sysconfdir}/udev/rules.d/vbox-additions.rules
%{_sysconfdir}/X11/xinit.d/98vboxadd-xclient
%{_sysconfdir}/modprobe.preload.d/vbox-guest-additions

%files -n x11-driver-video-vboxvideo
%{_libdir}/VBoxOGL*
%{_libdir}/xorg/modules/drivers/vboxvideo_drv.so
%{_libdir}/dri/vboxvideo_dri.so

%files -n dkms-vboxadditions
%{_usr}/src/vbox*-%{version}-%{release}
%endif

%files doc
%{vboxlibdir}/UserManual.pdf


%changelog
* Sun Oct 28 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 4.2.2-1
+ Revision: 820080
- use bfd linker on ix86
- make sure to compile with %%{optflags}
- add buildrequires on pkgconfig(xcomposite)
- new version
- sync some mageia patches

* Sun Oct 07 2012 Bernhard Rosenkraenzer <bero@bero.eu> 4.2.0-1
+ Revision: 818668
- Build for x11-server 1.13
- Update to 4.2.0

* Thu Jun 21 2012 Alexander Khrukin <akhrukin@mandriva.org> 4.1.18-1
+ Revision: 806638
- 4.1.18

* Wed Apr 25 2012 Guilherme Moro <guilherme@mandriva.com> 4.1.12-2
+ Revision: 793421
- Fix file permissions

* Wed Apr 04 2012 Bernhard Rosenkraenzer <bero@bero.eu> 4.1.12-1
+ Revision: 789094
- Update to 4.1.12
- Add rpmlintrc

* Sat Mar 31 2012 Alexandre Lissy <alissy@mandriva.com> 4.1.10-1
+ Revision: 788487
- Fix build issues (file listed twice)
  Still a lot of Badnesses to fix, yet it would be cool if "unstripped-binary-or-object" is documented ...
- Disabled BuildRequires against pkgconfig(xslt) since no package provides this one ...
- re-enable srpm checking with rpmlint (disabling is broken)
  fixed couple of warning (mixed spaces/tab)
  disabled dependency generator exception (mixing internal/external depgen is not good according to rpmlint -I)
- added buildrequires against x11-server-devel for xserver-abi-sdk-requires
- updating to 4.1.10
  disabling l10n-ru patch that does not apply anymore
- forcing release bump to rebuild

  + Matthew Dawkins <mattydaw@mandriva.org>
    - disable rpmlint on srpm
    - Rebuild for x11-server 1.12
    - cleaned up spec
    - converted BRs to pkgconfig provides

* Thu Jan 19 2012 Franck Bui <franck.bui@mandriva.com> 4.1.8-2
+ Revision: 762340
- Update russian translations for vbox 4.1.8
  Update has been done by Mikhail Kompaniets <mkompan@mezon.ru>

* Mon Jan 16 2012 Franck Bui <franck.bui@mandriva.com> 4.1.8-1
+ Revision: 761753
- rename libext2fs-devel into pkgconfig(ext2fs)
  it seems to be the way to do it now.
- Bump release now (4.1.8-1)
  Note: russian translations still needs to be updated.
- Import 4.1.8: but not released yet since no testing have happened yet.

* Tue Dec 20 2011 Franck Bui <franck.bui@mandriva.com> 4.1.6-3
+ Revision: 743900
- Add UserManual.pdf only in the doc package
- Don't build vbox kernel modules during package building
  But we must ensure that the vbox dkms package is building and runnning fine before
  releasing.
- Remove uncorrect VBOX_VERSION_STRING redefinition for now
- Since 4.0 the OSE version is gone

  + Andrey Smirnov <asmirnov@mandriva.org>
    - Updated spec for Russian translation
    - Updated spec for Russian translation
    - Updated Russian translation

  + Guilherme Moro <guilherme@mandriva.com>
    - Enable VNCServer support

* Mon Nov 07 2011 Franck Bui <franck.bui@mandriva.com> 4.1.6-0
+ Revision: 727097
- vboxmouse driver is no more needed since xorg 1.7
  It uses the kernel mouse driver instead. For details:
  https://www.virtualbox.org/changeset/38784
- Remove dead products support.
- Import VirtualBox 4.1.6
- Don't obsolete old packages anymore which don't exist anymore (removed since at least 2010.0)

* Tue Oct 04 2011 Oden Eriksson <oeriksson@mandriva.com> 4.0.8-3
+ Revision: 702931
- attempt to relink against libpng15.so.15

* Thu Jun 09 2011 Eugeni Dodonov <eugeni@mandriva.com> 4.0.8-2
+ Revision: 683792
- Rebuild for new x11-server

* Tue May 17 2011 Funda Wang <fwang@mandriva.org> 4.0.8-1
+ Revision: 675139
- new version 4.0.8

* Tue May 10 2011 Funda Wang <fwang@mandriva.org> 4.0.6-2
+ Revision: 673350
- rediff kernelrelease patch from mageia
- use shipped icons for app and mimetype
- install doc always

* Tue May 10 2011 Funda Wang <fwang@mandriva.org> 4.0.6-1
+ Revision: 673328
- add more br
- New version 4.0.6
- fix bcc base path
- accept gcc 4.6 when building

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - add versioned requires on kmod() dependencies

  + Oden Eriksson <oeriksson@mandriva.com>
    - mass rebuild

* Wed Feb 23 2011 Ahmad Samir <ahmadsamir@mandriva.org> 4.0.4-1
+ Revision: 639477
- update to 4.0.4

* Mon Feb 07 2011 Ahmad Samir <ahmadsamir@mandriva.org> 4.0.2-2
+ Revision: 636699
- make the doc subpackage noarch
- improve dkms-vboxadditions description to make it clearer that it's ideally
  only useful on the guest OS not the host

* Sun Jan 23 2011 Funda Wang <fwang@mandriva.org> 4.0.2-1
+ Revision: 632415
- New version 4.0.2

* Wed Jan 05 2011 Ahmad Samir <ahmadsamir@mandriva.org> 4.0.0-2mdv2011.0
+ Revision: 628883
- don't create %%{_datadir}/hal/fdi/policy/20thirdparty except when the .fdi file
  is installed
- sync udev rules with upstream; otherwise some of the vbox-additions services can't
  be started as user by 98vboxadd-xclient
- install 50-vboxmouse.conf too, it's needed for X server >= 1.8

* Tue Dec 28 2010 Ahmad Samir <ahmadsamir@mandriva.org> 4.0.0-1mdv2011.0
+ Revision: 625699
- add BR libxslt-devel
- add patch to make configure not check for mkisofs or makeself; both not needed
  in our build
- add 'VBOX_WITHOUT_ADDITIONS_ISO := 1' to LocalConfig.kmk
- improve the way used to disable building the docs in the spec
- BR tetex-latex >= 3.0-53 for releases >= 201100, now that tetex-latex has beramono
  (thanks to ghibo)
- apply the beramono-courier patch for older distros only
- add patch to make pdflatex use courier instead of beramono; this way the PDF
  can be built with tetex-latex from main (instead of having to move texlive-latex
  from contrib to main); when/if texlive moves to main we can drop it
- improve the build_doc condintional to workaround exclude macro that has been "fixed"
  to not work as it used to
- make building the usermanual pdf condintional, disabled for now
- add BR makeself
- update to 4.0.0 (and adapt to the tarball name change)
- rediff the no-update patch
- tighten qt4 requires
- add BR java-rpmbuild and add 'VBOX_JAVA_HOME := %%{java_home}' to LocalConfig.kmk
- add BR texlive-latex for building the user manual PDF
- split the PDF in a -doc subpackage and make the main package suggest it
- vboxmouse: install .fdi file for releases older than 2011.0 and the udev rule
  file for newer releases
- remove 'VBOX_WITH_WARNINGS_AS_ERRORS :=', it was only needed to workaround a
  compile error with gcc-4.5; it's been fixed upstream

* Thu Nov 11 2010 Thierry Vignaud <tv@mandriva.org> 3.2.10-6mdv2011.0
+ Revision: 595844
- require xorg server with proper ABI

* Thu Nov 04 2010 Ahmad Samir <ahmadsamir@mandriva.org> 3.2.10-5mdv2011.0
+ Revision: 593329
- install the udev rule file for vboxmouse to make mouse integration work

* Fri Oct 29 2010 Funda Wang <fwang@mandriva.org> 3.2.10-4mdv2011.0
+ Revision: 590217
- BR x11-server
- BR awk
- use rpm macro to define xorg-server's major ver

  + Michael Scherer <misc@mandriva.org>
    - rebuild for python 2.7

* Sun Oct 17 2010 Funda Wang <fwang@mandriva.org> 3.2.10-3mdv2011.0
+ Revision: 586186
- really build with x11-server 1.9

* Sun Oct 17 2010 Thierry Vignaud <tv@mandriva.org> 3.2.10-2mdv2011.0
+ Revision: 586165
- rebuild for xserver-1.9 (#61294)

* Wed Oct 13 2010 Funda Wang <fwang@mandriva.org> 3.2.10-1mdv2011.0
+ Revision: 585260
- New version 3.2.10

* Sat Oct 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 3.2.8-2mdv2011.0
+ Revision: 582619
- add two upstream patches to fix building modules with kernel-2.6.36
- fix building with gcc-4.5 by adding "VBOX_WITH_WARNINGS_AS_ERRORS :="
  c.f. http://www.virtualbox.org/ticket/6715

* Fri Aug 06 2010 Funda Wang <fwang@mandriva.org> 3.2.8-1mdv2011.0
+ Revision: 567189
- new version 3.2.8

* Wed Jul 28 2010 Ahmad Samir <ahmadsamir@mandriva.org> 3.2.6-4mdv2011.0
+ Revision: 562836
+ rebuild (emptylog)

* Tue Jul 27 2010 Ahmad Samir <ahmadsamir@mandriva.org> 3.2.6-3mdv2011.0
+ Revision: 562053
- use 'VBOX_WITH_TESTCASES =' to make it build on i586
- add missing BR, libpam-devel
- install vbox PAM module
- really rediff libpath patch
- make the two dkms packages conflict as both of them export the same symbol (Debian)
- update 16-no-update.patch, now it hides the update menu item and settings page
  instead of disabling them (Debian)

  + Jerome Martin <jmartin@mandriva.org>
    - Release 3.2.6

* Tue May 25 2010 Frederic Crozat <fcrozat@mandriva.com> 3.1.8-3mdv2010.1
+ Revision: 545880
- Remove wine3d guest additions, merged upstream

* Wed May 19 2010 Antoine Ginies <aginies@mandriva.com> 3.1.8-2mdv2010.1
+ Revision: 545369
- bump release, rebuild against latest kernel

* Fri May 14 2010 Frederic Crozat <fcrozat@mandriva.com> 3.1.8-1mdv2010.1
+ Revision: 544747
- Remove unneeded dependencies in guest additions, replaced by X extension now
- Fix buildrequires
- Release 3.1.8
- Remove patches 8 (no longer needed), 15 (merged upstream)
- no longer preload vboxvfs in guest, it was renamed in vboxsf and is preloaded by mount automatically now

* Wed Apr 28 2010 Anssi Hannula <anssi@mandriva.org> 3.1.6-5mdv2010.1
+ Revision: 540628
- default to Mandriva instead of WinXP when selecting guest system type
  (#56455)

* Tue Apr 27 2010 Christophe Fergeau <cfergeau@mandriva.com> 3.1.6-4mdv2010.1
+ Revision: 539600
- rebuild so that shared libraries are properly stripped again

* Wed Apr 21 2010 Anssi Hannula <anssi@mandriva.org> 3.1.6-3mdv2010.1
+ Revision: 537665
- adapt modprobe.preload.d file for renamed module (fix from cyrille in
  bug #58865)

* Tue Apr 06 2010 Funda Wang <fwang@mandriva.org> 3.1.6-2mdv2010.1
+ Revision: 531921
- rebuild for new openssl

* Fri Mar 26 2010 Frederic Crozat <fcrozat@mandriva.com> 3.1.6-1mdv2010.1
+ Revision: 527641
- Release 3.1.6

  + Thierry Vignaud <tv@mandriva.org>
    - fix "service virtualbox status" output when service is not running (#52894)

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 3.1.4-4mdv2010.1
+ Revision: 511648
- rebuilt against openssl-0.9.8m

  + Colin Guthrie <cguthrie@mandriva.org>
    - Remove pulseaudio rewrite patch. Applied upstream in r25678 + followups

* Sun Feb 21 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.1.4-3mdv2010.1
+ Revision: 508886
- No suggests, this will instal kde4

* Sun Feb 21 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.1.4-2mdv2010.1
+ Revision: 508848
- Suggests the KDE4 runner

* Sat Feb 13 2010 Funda Wang <fwang@mandriva.org> 3.1.4-1mdv2010.1
+ Revision: 505209
- new version 3.1.4

* Sun Feb 07 2010 Anssi Hannula <anssi@mandriva.org> 3.1.2-7mdv2010.1
+ Revision: 501512
- vboxadd-service renamed back to VBoxService as per upstream changes

* Sun Jan 24 2010 Anssi Hannula <anssi@mandriva.org> 3.1.2-6mdv2010.1
+ Revision: 495567
- fix build with kernel 2.6.33+ (from upstream, integrated by Shlomi Fish)
- provide vboxwebsrv (Debian), VBoxNetAdpCtl (Jani V?\195?\164limaa) and
  VBoxNetDHCP in bindir as well
- load module vboxnetadp in initscript

* Sat Jan 16 2010 Anssi Hannula <anssi@mandriva.org> 3.1.2-5mdv2010.1
+ Revision: 492485
- remove now unneeded copying of vboxvideo, handled upstream
- adapt udev rule and old console.perms (for backports) for rename of
  /dev/vboxadd to /dev/vboxguest
- rename dkms-vboxadd to dkms-vboxadditions in order to match the dkms
  PACKAGE_NAME
- update and rediff wined3d-guest-addition.patch and no-update.patch
  (from Debian), and apply them again
- rediff libpath.patch and remove duplicate 3.1-libpath.patch

* Wed Jan 13 2010 Christophe Fergeau <cfergeau@mandriva.com> 3.1.2-4mdv2010.1
+ Revision: 490637
- fix dkms build of vbox-additions (vboxadd is now named vboxguest)

* Mon Dec 21 2009 Colin Guthrie <cguthrie@mandriva.org> 3.1.2-3mdv2010.1
+ Revision: 480521
- Apply pulseaudio rewrite patch by Art Taylor for wider testing.

* Fri Dec 18 2009 Funda Wang <fwang@mandriva.org> 3.1.2-2mdv2010.1
+ Revision: 479955
- we are using xorg 1.7 for 2010.1

* Fri Dec 18 2009 Funda Wang <fwang@mandriva.org> 3.1.2-1mdv2010.1
+ Revision: 479870
- new version 3.1.2

  + Colin Guthrie <cguthrie@mandriva.org>
    - Fix install of mount.vboxsf
    - Fix src file addition for vboxadd -> vboxguest rename

  + Luis Daniel Lucio Quiroz <dlucio@mandriva.org>
    - new location of src/vboxvideo_drm
    - remove src/vboxvideo_drm from install
    - remove mountvboxsf from install
    - Disable P12 just for now
    - Disable P11 just for now
    - P13 to let replace P1
    - New 3.1.0

* Tue Nov 17 2009 Funda Wang <fwang@mandriva.org> 3.0.12-1mdv2010.1
+ Revision: 466909
- new version 3.0.12

* Mon Nov 16 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 3.0.10-4mdv2010.1
+ Revision: 466652
- Rebuild for new xserver drivers

* Thu Nov 12 2009 Frederik Himpe <fhimpe@mandriva.org> 3.0.10-3mdv2010.1
+ Revision: 465505
- Rebuild for new QT

* Sun Nov 08 2009 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.0.10-2mdv2010.1
+ Revision: 463094
- BUMP release

* Sat Oct 31 2009 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.0.10-1mdv2010.1
+ Revision: 460359
- New release 3.0.10

* Tue Oct 06 2009 Frederic Crozat <fcrozat@mandriva.com> 3.0.8-1mdv2010.0
+ Revision: 454705
- Release 3.0.8

* Thu Sep 10 2009 Frederic Crozat <fcrozat@mandriva.com> 3.0.6-1mdv2010.0
+ Revision: 436821
- Release 3.0.6-OSE
- Remove patches 15, 16 (merged upstream)

* Sat Aug 08 2009 Funda Wang <fwang@mandriva.org> 3.0.4-1mdv2010.0
+ Revision: 411626
- new version 3.0.4

* Fri Aug 07 2009 Anssi Hannula <anssi@mandriva.org> 3.0.2-2mdv2010.0
+ Revision: 410995
- fix additions service name (prevented launch of service)

* Sat Aug 01 2009 Anssi Hannula <anssi@mandriva.org> 3.0.2-1mdv2010.0
+ Revision: 406306
- new version 3.0.2
- fix build with current pulseaudio (fix-pulseaudio.patch)
- buildrequires curl-devel and openssl-devel
- build vboxnetadp module and simplify vboxbuild dkms script
- add udev rule for managing vbox additions ACL, removing console.perms
  file on cooker
- fix post and preun script of dkms package to remove+reload modules on
  upgrade and remove on removal
- do not try to install dkms module if build fails
- rediff and rename fix-timesync-req.patch to fix-vboxadd-req.patch
- rediff kernelrelease.patch and libpath.patch

* Sat May 30 2009 Frederik Himpe <fhimpe@mandriva.org> 2.2.4-1mdv2010.0
+ Revision: 381446
- Completely remove Debian nat patch: code has changed too much and Debian
  has removed it too already since 2.2.2
- Update to new version 2.2.4
- Remove disabled opengl patch: integrated upstream
- Rediff NAT configuration patch from Debian

  + Funda Wang <fwang@mandriva.org>
    - New version 2.2.2

* Wed Apr 22 2009 Pascal Terjan <pterjan@mandriva.org> 2.2.0-4mdv2009.1
+ Revision: 368679
- Fix mkrpm template

* Tue Apr 21 2009 Pascal Terjan <pterjan@mandriva.org> 2.2.0-3mdv2009.1
+ Revision: 368502
- BuildRequires:dkms-minimal
- Obsolete -latest dkms binary packages

* Wed Apr 15 2009 Frederic Crozat <fcrozat@mandriva.com> 2.2.0-2mdv2009.1
+ Revision: 367571
- Patch15: kill vboxclient if leftover from previous X11 session
- Patch14 (Sun): fix OpenGL support for Linux Guest additions
- improve packaging to be more LSB compliant

* Fri Apr 10 2009 Frederic Crozat <fcrozat@mandriva.com> 2.2.0-1mdv2009.1
+ Revision: 365828
- Release 2.2.0
- enable OpenGL pass-through. Caveat : Linux guest support is not working when building guest additions with Open source edition (under investigation)
- move location of fdi file (fix mouse integration support when using HAL)
- merge all guest additions kernel module in one single DKMS (pterjan)
- Enable webservice
- Remove patch9, no longer needed (when using kernel 2.6.29.x, you MUST use kernel 2.6.29.1 or later)
- Regenerate patches 8, 10
- Patch11: add Wine Direct3D guest additions option (Debian)
- Patch12: disable update notification (Debian)
- Patch13: make network settings more intuitive (Debian)
- Add missing dependencies in guest additions package
- No longer use gcc 4.2, build fine with latest gcc 4.3
- Replace source3 with upstream version
- Update source4 to change permissions on both guest additions devices
- Fix permissions on non .so files

* Mon Mar 09 2009 Pascal Terjan <pterjan@mandriva.org> 2.1.4-5mdv2009.1
+ Revision: 353280
- vboxvfs needs vboxadd

* Wed Mar 04 2009 Frederic Crozat <fcrozat@mandriva.com> 2.1.4-4mdv2009.1
+ Revision: 348336
- Force rebuild of dkms modules

* Wed Feb 25 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.1.4-3mdv2009.1
+ Revision: 344966
- Copy Module.symvers for vboxnetflt dkms build, needed with
  CONFIG_MODVERSIONS enabled in latest cooker kernels.

* Wed Feb 25 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.1.4-2mdv2009.1
+ Revision: 344896
- Apply fix for VM load failure with kernels 2.6.29-rc5 or later
  (#48096, http://www.virtualbox.org/ticket/3403).
- Fix building with kernel-headers-2.6.29*

* Tue Feb 17 2009 Frederik Himpe <fhimpe@mandriva.org> 2.1.4-1mdv2009.1
+ Revision: 342236
- Update to new version 2.1.4
- Fix source URL

* Thu Jan 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.1.2-2mdv2009.1
+ Revision: 332593
- Use xorg 1.6 drivers when building cooker guest addition packages

* Thu Jan 22 2009 Funda Wang <fwang@mandriva.org> 2.1.2-1mdv2009.1
+ Revision: 332404
- specify CC4.2
- New version 2.1.2
- rediff libpath patch

* Sun Jan 04 2009 Colin Guthrie <cguthrie@mandriva.org> 2.1.0-5mdv2009.1
+ Revision: 324525
- Rebuild mouse and display drivers for xserver 1.6

* Thu Dec 25 2008 Michael Scherer <misc@mandriva.org> 2.1.0-4mdv2009.1
+ Revision: 318540
- rebuild for new python

* Fri Dec 19 2008 Frederic Crozat <fcrozat@mandriva.com> 2.1.0-3mdv2009.1
+ Revision: 316288
- Fix guest additions for cooker, we ship Xorg 1.5 now
- Ship fdi file for vboxmouse

* Fri Dec 19 2008 Adam Williamson <awilliamson@mandriva.org> 2.1.0-2mdv2009.1
+ Revision: 316021
- oops, finish fixing up initscript

* Fri Dec 19 2008 Adam Williamson <awilliamson@mandriva.org> 2.1.0-1mdv2009.1
+ Revision: 316019
- adjust initscript and dkms.conf for the fact that there's now two necessary
  kernel modules for the master: vboxdrv and vboxnetflt
- drop mdvconfig.patch: this stub does nothing useful, and breaks the build
  (see fcrozat's mail on Cooker)
- VBoxAddIF and VBoxDeleteIF are now obsolete and not provided

  + Frederic Crozat <fcrozat@mandriva.com>
    - Release 2.1.0
    - Regenerate patch1
    - update buildrequires

* Sun Nov 30 2008 Frederik Himpe <fhimpe@mandriva.org> 2.0.6-2mdv2009.1
+ Revision: 308552
- Rebuild mouse and display drivers for xserver 1.5

* Wed Nov 26 2008 Funda Wang <fwang@mandriva.org> 2.0.6-1mdv2009.1
+ Revision: 306865
- New version 2.0.6

* Mon Nov 03 2008 Funda Wang <fwang@mandriva.org> 2.0.4-1mdv2009.1
+ Revision: 299348
- New version 2.0.4

* Mon Sep 15 2008 Frederic Crozat <fcrozat@mandriva.com> 2.0.2-2mdv2009.0
+ Revision: 284854
- Patch8: disable version check at startup

* Sat Sep 13 2008 Frederik Himpe <fhimpe@mandriva.org> 2.0.2-1mdv2009.0
+ Revision: 284544
- Update to bugfix update 2.0.2

* Tue Sep 09 2008 Olivier Blin <blino@mandriva.org> 2.0.0-3mdv2009.0
+ Revision: 283015
- build guest additions on x86_64 too (#43593)

  + Frederic Crozat <fcrozat@mandriva.com>
    - Patch7: fix QT4 detection on x86-64 on Mandriva 2008.1

* Thu Sep 04 2008 Frederic Crozat <fcrozat@mandriva.com> 2.0.0-1mdv2009.0
+ Revision: 280850
- Fix BuildRequires
- Release 2.0.0
- Remove patches 3, 7 (merged upstream)

* Mon Sep 01 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.6.4-4mdv2009.0
+ Revision: 278071
- Added patch to allow VirtualBox kernel module to build with
  Linux 2.6.27

  + Pixel <pixel@mandriva.com>
    - increase release number
    - use gcc4.2 to build the recompiler (not ported to gcc 4.3 yet)

* Wed Aug 06 2008 Olivier Blin <blino@mandriva.org> 1.6.4-2mdv2009.0
+ Revision: 264273
- create /var/run/VirtualBox (#41963)
- use tunctl from the tunctl package while VBoxTunctl does not build

* Tue Aug 05 2008 Olivier Blin <blino@mandriva.org> 1.6.4-1mdv2009.0
+ Revision: 264016
- do not include VBoxTunctl for now (build is broken in upstream tarball)
- rediff misc_register patch (the register part has been implemented upstream, I should submit the deregister hunks)
- fix 1.6.4 build by not building tunctl (some Makefile.kmk are missing)
- 1.6.4

* Tue Jul 29 2008 Frederic Crozat <fcrozat@mandriva.com> 1.6.2-2mdv2009.0
+ Revision: 252777
- Don't use gcc 3.3 for build on 2008.1 or earlier

* Wed Jul 09 2008 Olivier Blin <blino@mandriva.org> 1.6.2-1mdv2009.0
+ Revision: 232889
- set again linux sources path in configure
- use gcc 3.3 to build the recompiler (not ported to gcc 4.3 yet)
- use kernel-devel-latest instead of kernel-source-latest
- use a prepared copy of the linux tree (for linux/bounds.h)

  + Frederic Crozat <fcrozat@mandriva.com>
    - Release 1.6.2
    - Regenerate patch5
    - Fix duplicated line in specfile

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri May 16 2008 Frederic Crozat <fcrozat@mandriva.com> 1.6.0-4mdv2009.0
+ Revision: 208160
- Fix seamless mode in guest additions subpackage

* Thu May 15 2008 Anssi Hannula <anssi@mandriva.org> 1.6.0-3mdv2009.0
+ Revision: 207692
- rename VBoxAddIF.sh and VBoxDeleteIF.sh to VBoxAddIF and VBoxDeleteIF
  to match original names and documentation

* Wed May 14 2008 Frederic Crozat <fcrozat@mandriva.com> 1.6.0-2mdv2009.0
+ Revision: 207235
- Replace source1 with patch 6 (use up to date VBox.sh script)
- Ensure VBoxAddIF/VBoxDeleteIF scripts are packaged, as well as VBoxTunctl (Mdv bug #40769)
- package VBoxHeadless (Mdv bug #40771)

* Fri May 09 2008 Olivier Blin <blino@mandriva.org> 1.6.0-1mdv2009.0
+ Revision: 205313
- try harder to disable additions on x86_64
- buildrequire libxslt-devel
- adapt to vboxadd-xclient being renamed as VBoxClient
- rediff futex patch
- rediff misc_register patch
- 1.6.0
- revert BUILT_MODULE_NAME addition, the bug is fixed in dkms

  + Anssi Hannula <anssi@mandriva.org>
    - add BUILT_MODULE_NAME to dkms.conf of vboxadd and vboxvfs (fixes DKMS
      error)

* Tue Feb 26 2008 Olivier Blin <blino@mandriva.org> 1.5.6-1mdv2008.1
+ Revision: 175619
- 1.5.6
- rediff KERNELRELEASE patch

* Tue Feb 26 2008 Olivier Blin <blino@mandriva.org> 1.5.4-5mdv2008.1
+ Revision: 175610
- try to start dkms instead of vboxadd in vboxadd-timesync service (since modules are loaded from modprobe.preload.d, #36728)

* Fri Feb 08 2008 Thierry Vignaud <tv@mandriva.org> 1.5.4-4mdv2008.1
+ Revision: 163970
- drop old menu

  + Frederic Crozat <fcrozat@mandriva.com>
    - Really disable pulseaudio support on 2008.0 or older

* Thu Jan 10 2008 Frederic Crozat <fcrozat@mandriva.com> 1.5.4-3mdv2008.1
+ Revision: 147602
- Use correct version of x11 mouse and video additional driver when used on 2008.1 (xorg 1.4) and 2008.0
- Only build pulseaudio support for 2008.1

* Wed Jan 09 2008 Olivier Blin <blino@mandriva.org> 1.5.4-2mdv2008.1
+ Revision: 147006
- fix dkms build for kernels different from running kernel

* Thu Jan 03 2008 Olivier Blin <blino@mandriva.org> 1.5.4-1mdv2008.1
+ Revision: 142711
- buildrequire pulseaudio-devel
- rediff libpath patch
- remove 2.6.24 build fix, fixed upstream
- 1.5.4
- restore BuildRoot

  + Pascal Terjan <pterjan@mandriva.org>
    - Switch to Debian patch for 2.6.24
    - Re-create the 2.6.24 patch, some bits got lost

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - kill explicit icon extension

  + Giuseppe Ghibò <ghibo@mandriva.com>
    - Use kernel-source-latest in BuildRequires as conditional.
    - Add conditional build flags for older release.
    - Let Patch5 conditional.

* Fri Nov 30 2007 Pascal Terjan <pterjan@mandriva.org> 1.5.2-3mdv2008.1
+ Revision: 114076
- Improve 2.6.24 patch so that it should still build with older kernels

* Fri Nov 30 2007 Pascal Terjan <pterjan@mandriva.org> 1.5.2-2mdv2008.1
+ Revision: 114047
- Fix other parts to build with 2.6.24
- Fix vboxdrv for 2.6.24

* Tue Nov 13 2007 Olivier Blin <blino@mandriva.org> 1.5.2-1mdv2008.1
+ Revision: 108363
- remove keyboards patch (was from upstream svn)
- rediff kernelrelease patch
- rediff libpath patch
- 1.5.2

* Thu Oct 04 2007 Olivier Blin <blino@mandriva.org> 1.5.0-6mdv2008.0
+ Revision: 95447
- really apply misc_register patch (so that vboxadd devices are automatically created)
- add release in dkms PACKAGE_VERSION to ease upgrades

* Sat Sep 29 2007 Olivier Blin <blino@mandriva.org> 1.5.0-5mdv2008.0
+ Revision: 93837
- require kmod(vboxdrv) instead of dkms package
- do not mark initscript as config file
- move initscripts and udev rules out of dkms package (so that it works when using dkms prebuilt modules)

* Sat Sep 29 2007 Olivier Blin <blino@mandriva.org> 1.5.0-4mdv2008.0
+ Revision: 93812
- add vboxadd-timesync service
- add pam_console perms file to assign vboxadd device to console user
- use misc_register() to register vboxadd device so that /dev/vboxadd gets created automatically by udev

* Fri Sep 28 2007 Olivier Blin <blino@mandriva.org> 1.5.0-3mdv2008.0
+ Revision: 93770
- add vboxadd-xclient xinit.d script
- release new additions, but we still need to fix mknod for vboxadd
  (or use device_create() in kernel module), set console perms for
  vboxadd in console.perms.d, and add timesync initscript
- make guest additions package require X11 drivers
- make x11 driver packages suggest virtualbox-guest-additions
- add virtualbox-guest-additions package (with xclient, timesync, mount.vboxsf)
- add dkms-vboxadd and dkms-vboxvfs packages

* Fri Sep 28 2007 Olivier Blin <blino@mandriva.org> 1.5.0-2mdv2008.0
+ Revision: 93534
- build additions on ix86 only
- fix support for Brazilian, Belgian, US intl and US dvorak keyboards and add support for multimedia keys (from upstream SVN)
- buildrequire libstdc++-static-devel
- buildrequire libxt-devel
- buildrequire kernel-source-latest, since iurt/urpmi don't install latest kernel-source automatically
- buildrequire kernel-source
- package mouse guest addition in x11-driver-input-vboxmouse
- package video guest addition in x11-driver-video-vboxvideo
- build VirtualBox additions

* Mon Sep 03 2007 Olivier Blin <blino@mandriva.org> 1.5.0-1mdv2008.0
+ Revision: 78607
- drop libstdc++5 BuildRequires
- drop unapplied x86_64 NMI watchdog disabling patch (merged upstream)
- 1.5.0
- rediff mdvconfig patch

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Fri Jun 08 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.4.0-1mdv2008.0
+ Revision: 37085
- from Jos?\195?\169 Melo <mmodem00@gmail.com>:
  	o 1.4.0
  	o update patch:2 since is needed to load (modprobe) vbox driver in kernel-2.6.17
  	o remove patch1 since is becomes obsolete with this new version,and continues installing and running stable no matter if is kernel-2.6.17 or greater
  	o add missing buildrequire hal-devel


* Thu Mar 15 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.3.8-1mdv2007.1
+ Revision: 144313
- add should-start: dkms to initscript (#29523)
- 1.3.8
  * hard reset network device on reboot
  * fix issues with IBM JVM 1.4.2 in Linux guests
  * add support for X.org 7.2.x in Linux guest additions

* Fri Mar 02 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.3.6-1mdv2007.1
+ Revision: 131492
- disable NMIs on Core 2 platforms too
- 1.3.6
  * fix some GUI issues
  * fix OpenBSD 4.0 support
  * fix CD/DVD-ROM detection in Windows Vista guests
  * fix networking issues with Windows NT 4.0 guests
  * fix some ALSA problems that could cause system reboots

* Mon Feb 12 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.3.4-1mdv2007.1
+ Revision: 119895
- 1.3.4

* Mon Feb 12 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.3.3.20070209-1mdv2007.1
+ Revision: 119017
- SVN updates (2007/02/09):
  * additional 64-bit fixes
  * asynchronous packets transmission in NIC code

* Sat Feb 03 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.3.3.20070202-1mdv2007.1
+ Revision: 116064
- various 64-bit fixes
- updates from SVN (2007/02/02):
  * initial 64-bit host support
  * fix IDE for Open Solaris 10
  * add VDI compacting to the GUI

* Sat Jan 27 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.3.3-1mdv2007.1
+ Revision: 114276
- initial mandriva linux package

